<?php

namespace App\Classes\Modules\Wallets\Services;


use App\Models\WalletTransaction;

class ChecksIfWalletTransactionBillNoExists
{

    private $repository;

    public function __construct(WalletTransaction $repository)
    {
        $this->repository = $repository;
    }

    public function execute(int $bill_no): bool {
        return $this->repository->where('bill_no', $bill_no)->exists();
    }

}